var initList = initList || []; 

initList.push(function(){
	
	
	requirejs(['jquery', 'sgGameMatchMemory'],  function($,sgGameMatchMemory) {
		sgGameMatchMemory.afterCheck = function(){

			$(".card-removed").removeClass('card-removed animated').addClass('card-flipped-old').fadeIn(50).unbind('click');
		}
		sgGameMatchMemory.extraActionFlippedCard = function(card){

			card.addClass("animated flipInY");
			card.one('webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend', function(){
				card.removeClass("animated flipInY");
			});
		}
		sgGameMatchMemory.extraRestartGame = function(){
		}
		sgGameMatchMemory.extraDontMatch = function(){
			sg.sound('error');
		}

		sgGameMatchMemory.extraStartGame = function(){
			// $('#popup_ins').show();
			// alert("entré");
			var cards= $("#cards").children();
			cards.addClass("strong-show");
			cards.removeAttr("style");
			//sg.sound('clock');
		}
		sgGameMatchMemory.fadeMeEnd=false;
	});

	
	
});